## org.codehaus.groovy.control
Class PrimaryClassNodeOperation

An callback interface for use in the applyToSourceUnits loop driver.

Constructor Summary
`PrimaryClassNodeOperation()`

Method Summary
`void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
`boolean` | `needSortedInput()`

Constructor Detail

### PrimaryClassNodeOperation

    PrimaryClassNodeOperation()

Method Detail

### call

    public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

### needSortedInput

    public boolean needSortedInput()